#依赖关系图中的一个Node
module DepCheck
  class Node
    attr_accessor :edges
    attr_accessor :name
    def initialize(name)
      @name = name
      @edges = []
    end
    
    def addEdge(node)
      @edges.push(node)
    end
    
    def ==(other)
      @name == other.name
    end

    def to_hash
      {:name=>@name,:edges=>@edges}
    end

    def to_s
      @name
    end
  end
end
